/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
//get the id of the clicked item         // insert code to be run when the composition is fully loaded here

	var headline;
	var headlinetxt = sym.getSymbol("styleHead").$("headlineTxt").css("pointer-events","none");
	var source;
	var sourcetxt = sym.getSymbol("styleBase").$("sourceTxt").css("pointer-events","none");
	var menuIcon0;
	var menuIcon0txt = sym.getSymbol("styleHead").getSymbol("menuBtn0").$("txt").css("pointer-events","none");
	var menuIcon1;
	var menuIcon1txt = sym.getSymbol("styleHead").getSymbol("menuBtn1").$("txt").css("pointer-events","none");
	var menuTxt0;
	var menuTxt0txt = sym.getSymbol("styleHead").$("menuTxt0").css("pointer-events","none");
	var menuTxt1;
	var menuTxt1txt = sym.getSymbol("styleHead").$("menuTxt1").css("pointer-events","none");
	var winner;
	var winnertxt = sym.getSymbol("winnersMc").$("winner").css("pointer-events","none");
	var course;
	var coursetxt = sym.getSymbol("winnersMc").$("course0").css("pointer-events","none");
	var txt1
	var txt1txt = sym.$("txt1").css("pointer-events","none");
	var txt2;
	var txt2txt = sym.getSymbol("winnersMc").$("txt2").css("pointer-events","none");
	var txt3;
	var txt3txt = sym.getSymbol("winnersMc").$("txt3").css("pointer-events","none");
	var txt4;
	var txt4txt = sym.getSymbol("winnersMc").$("txt4").css("pointer-events","none");
	var txt5;
	var txt5txt = sym.getSymbol("cardMc").$("txt5").css("pointer-events","none");
	var txt6;
	var txt6txt = sym.getSymbol("cardMc").$("txt6").css("pointer-events","none");
	var txt7;
	var txt7txt = sym.getSymbol("cardMc").$("txt7").css("pointer-events","none");
	var txt8;
	var txt8txt = sym.getSymbol("cardMc").$("txt8").css("pointer-events","none");
	var txt9;
	var txt9txt = sym.getSymbol("cardMc").$("txt9").css("pointer-events","none");
	var txt10;
	var txt10txt = sym.getSymbol("cardMc").$("txt10").css("pointer-events","none");
	var txt11;
	var txt11txt = sym.getSymbol("cardMc").$("txt11").css("pointer-events","none");
	var txt12;
	var txt12txt = sym.getSymbol("cardMc").$("txt12").css("pointer-events","none");
	var txt13;
	var txt13txt = sym.getSymbol("cardMc").$("txt13").css("pointer-events","none");
	var txt14;
	var txt14txt = sym.getSymbol("cardMc").$("txt14").css("pointer-events","none");
	var txt15;
	var txt15txt = sym.getSymbol("cardMc").$("txt15").css("pointer-events","none");
	var txt16;
	var txt16txt = sym.getSymbol("cardMc").$("txt16").css("pointer-events","none");
	var txt17;
	var txt17txt = sym.getSymbol("cardMc").$("txt17").css("pointer-events","none");
	var txt18;
	var txt18txt = sym.$("txt18").css("pointer-events","none");
	var txt19;
	var txt19txt = sym.$("txt19").css("pointer-events","none");
	var txt20;
	var txt20txt = sym.$("txt20").css("pointer-events","none");
	var txt21;
	var txt21txt = sym.$("txt21").css("pointer-events","none");
	var txt22;
	var txt22txt = sym.$("txt22").css("pointer-events","none");
	var txt23;
	var txt23txt = sym.$("txt23").css("pointer-events","none");
	var txt24;
	var txt24txt = sym.$("txt24").css("pointer-events","none");
	var txt25;
	var txt25txt = sym.$("txt25").css("pointer-events","none");
	var txt26;
	var txt26txt = sym.$("txt26").css("pointer-events","none");
	var txt27;
	var txt27txt = sym.$("txt27").css("pointer-events","none");
	var txt28;
	var txt28txt = sym.$("txt28").css("pointer-events","none");
	var txt29;
	var txt29txt = sym.$("txt29").css("pointer-events","none");
	var txt30;
	var txt30txt = sym.$("txt30").css("pointer-events","none");
	var txt31;
	var txt31txt = sym.$("txt31").css("pointer-events","none");
	var txt32;
	var txt32txt = sym.$("txt32").css("pointer-events","none");
	var txt33;
	var txt33txt = sym.$("txt33").css("pointer-events","none");
	var txt34;
	var txt34txt = sym.$("txt34").css("pointer-events","none");
	var txt35;
	var txt35txt = sym.$("txt35").css("pointer-events","none");
	var txt36;
	var txt36txt = sym.$("txt36").css("pointer-events","none");
	var txt37;
	var txt37txt = sym.$("txt37").css("pointer-events","none");
	var txt38;
	var txt38txt = sym.$("txt38").css("pointer-events","none");
	var txt39;
	var txt39txt = sym.$("txt39").css("pointer-events","none");
	var txt40;
	var txt40txt = sym.$("txt40").css("pointer-events","none");
	var txt41;
	var txt41txt = sym.$("txt41").css("pointer-events","none");


//AJAX retrieves data from xml source specified in url, maps xml variable to DOM object variable
	$.ajax({	
		type: "GET",
		url: "GN30767.xml",
		dataType: "xml",
		success: function(xml) {
			headline = $(xml).find('headline').text();
			headlinetxt.html(headline);
			source = $(xml).find('source').text();
			sourcetxt.html(source);
			menuIcon0 = $(xml).find('menuIcon0').text();
			menuIcon0txt.html(menuIcon0);
			menuIcon1 = $(xml).find('menuIcon1').text();
			menuIcon1txt.html(menuIcon1);  
			menuTxt0 = $(xml).find('menuTxt0').text();
			menuTxt0txt.html(menuTxt0);  
			menuTxt1 = $(xml).find('menuTxt1').text();
			menuTxt1txt.html(menuTxt1);  
			txt1 = $(xml).find('txt1').text();
			txt1txt.html(txt1);
			txt2 = $(xml).find('txt2').text();
			txt2txt.html(txt2);
			txt3 = $(xml).find('txt3').text();
			txt3txt.html(txt3);
			txt4 = $(xml).find('txt4').text();
			txt4txt.html(txt4)
			txt5 = $(xml).find('txt5').text();
			txt5txt.html(txt5);
			txt6 = $(xml).find('txt6').text();
			txt6txt.html(txt6);
			txt7 = $(xml).find('txt7').text();
			txt7txt.html(txt7);
			txt8 = $(xml).find('txt8').text();
			txt8txt.html(txt8);
			txt9 = $(xml).find('txt9').text();
			txt9txt.html(txt9);
			txt10 = $(xml).find('txt10').text();
			txt10txt.html(txt10);
			txt11 = $(xml).find('txt11').text();
			txt11txt.html(txt11);
			txt12 = $(xml).find('txt12').text();
			txt12txt.html(txt12);
			txt13 = $(xml).find('txt13').text();
			txt13txt.html(txt13);
			txt14 = $(xml).find('txt14').text();
			txt14txt.html(txt14);
			txt15 = $(xml).find('txt15').text();
			txt15txt.html(txt15);
			txt16 = $(xml).find('txt16').text();
			txt16txt.html(txt16);
			txt17 = $(xml).find('txt17').text();
			txt17txt.html(txt17);
			txt18 = $(xml).find('txt18').text();
			txt18txt.html(txt18);
			txt19 = $(xml).find('txt19').text();
			txt19txt.html(txt19);
			txt20 = $(xml).find('txt20').text();
			txt20txt.html(txt20);
			txt21 = $(xml).find('txt21').text();
			txt21txt.html(txt21);
			txt22 = $(xml).find('txt22').text();
			txt22txt.html(txt22);
			txt23 = $(xml).find('txt23').text();
			txt23txt.html(txt23);
			txt24 = $(xml).find('txt24').text();
			txt24txt.html(txt24);
			txt25 = $(xml).find('txt25').text();
			txt25txt.html(txt25);
			txt26 = $(xml).find('txt26').text();
			txt26txt.html(txt26);
			txt27 = $(xml).find('txt27').text();
			txt27txt.html(txt27);
			txt28 = $(xml).find('txt28').text();
			txt28txt.html(txt28);
			txt29 = $(xml).find('txt29').text();
			txt29txt.html(txt29);
			txt30 = $(xml).find('txt30').text();
			txt30txt.html(txt30);   
			txt31 = $(xml).find('txt31').text();
			txt31txt.html(txt31);   
			txt32 = $(xml).find('txt32').text();
			txt32txt.html(txt32);   
			txt33 = $(xml).find('txt33').text();
			txt33txt.html(txt33);    
			txt34 = $(xml).find('txt34').text();
			txt34txt.html(txt34);
			txt35 = $(xml).find('txt35').text();
			txt35txt.html(txt35);   
			txt36 = $(xml).find('txt36').text();
			txt36txt.html(txt36);   
			txt37 = $(xml).find('txt37').text();
			txt37txt.html(txt37);   
			txt38 = $(xml).find('txt38').text();
			txt38txt.html(txt38);   
			txt39 = $(xml).find('txt39').text();
			txt39txt.html(txt39);   
			txt40 = $(xml).find('txt40').text();
			txt40txt.html(txt40);   
			txt41 = $(xml).find('txt41').text();
			txt41txt.html(txt41);	  
		}
	}); // END XML

	// MENU BUTTONS --------------------------------------------	
	menuArray = []; //the array that will hold references to the buttons.

	for (var h = 0; h < 2; h++){
		var menuBtnSymbols = sym.getSymbol("styleHead").getSymbol("menuBtn" +h); // Create an instance element of a symbol as a child of the given parent element
		menuBtnSymbols.setVariable("menuId", h); //set the value of a Symbol variable
		menuArray.push(menuBtnSymbols); //push it into the array
	}

	$.each(menuArray, function( count, menuInTheArray ){ //a 'for each' loop through the newly populated array
		var menuBtnItem = $(menuInTheArray); //create jQuery reference to the item
		var menuBtnElement = menuInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
		menuBtnElement.bind ("click touchstart", {menuId:count}, menuBtnClick);
		menuBtnElement.bind ("mouseover", {menuId:count}, menuShow);
		menuBtnElement.bind ("mouseout", {menuId:count}, menuHide);
	})

	function resetmenu(){
		for (var h=0; h<menuArray.length; h++){
			var resetmenu_arr = ["menuTxt0","menuTxt1","menuTxt2"];
			$.each(resetmenu_arr, function(index, value) {
			sym.getSymbol("styleHead").$(value).fadeOut(0);
			});
         menuArray[h].$("btnClick").fadeOut(0);
         menuArray[h].$("btnOver").fadeOut(0);
		}
	}
	resetmenu();

	function menuBtnClick (e){
		resetmenu(); //set them all back to normal state
		var menuMenu_id = (e.data.menuId); //get the id of the clicked item
		sym.getSymbol("styleHead").getSymbol("menuBtn" + menuMenu_id).$("btnClick").fadeIn(0);
		sym.getSymbol("styleHead").$("menuTxt" + menuMenu_id).fadeIn(0);
		if (menuMenu_id==0) {
			sym.$("winnersMc").animate ({left:820}, 1000, 'easeOutCubic');
		}
		if (menuMenu_id==1) {
			sym.$("winnersMc").animate ({left:0}, 1000, 'easeOutCubic'); 
		}
		e.preventDefault();
	}
	function menuShow (e){
		var menuMenu_id = (e.data.menuId); //get the id of the over button
		sym.$('handMc').hide();
		sym.getSymbol("styleHead").getSymbol("menuBtn" + menuMenu_id).$("btnOver").fadeIn(0);
		sym.getSymbol("styleHead").$("menuTxt" + menuMenu_id).fadeIn(0);
	}
	function menuHide (e){
		var menuMenu_id = (e.data.menuId); //get the id of the out button
		sym.getSymbol("styleHead").getSymbol("menuBtn" + menuMenu_id).$("btnOver").fadeOut(0);
		sym.getSymbol("styleHead").$("menuTxt" + menuMenu_id).fadeOut(0);
	}

// MAKE MENU 0 VISIBLE
	sym.getSymbol("styleHead").getSymbol("menuBtn0").$("btnClick").fadeIn(0);


// COURSE BUTTONS --------------------------------------------	
	var slide = 150;

	stageBtnArray = []; //the array that will hold references to the buttons.

	for (var h = 0; h < 18; h++){
			var stageBtnBtnSymbols = sym.getSymbol("roundBtnsMc").getSymbol("roundBtn" +h); // Create an instance element of a symbol as a child of the given parent element
			stageBtnBtnSymbols.setVariable("stageBtnId", h); //set the value of a Symbol variable
			stageBtnArray.push(stageBtnBtnSymbols); //push it into the array
         }

	$.each(stageBtnArray, function( count, stageBtnInTheArray ){ //a 'for each' loop through the newly populated array
			var stageBtnBtnItem = $(stageBtnInTheArray); //create jQuery reference to the item
			var stageBtnBtnElement = stageBtnInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
			stageBtnBtnElement.bind ("click touchstart", {stageBtnId:count}, stageBtnBtnClick);
			stageBtnBtnElement.bind ("mouseover", {stageBtnId:count}, stageBtnShow);
			stageBtnBtnElement.bind ("mouseout", {stageBtnId:count}, stageBtnHide);
	})

	function stageBtnBtnClick (e){
		resetAllBtn(); //set them all back to normal state
		var stageBtnstageBtn_id = (e.data.stageBtnId); //get the id of the clicked item
		holeCount = stageBtnstageBtn_id;
		resetcardBtn();
		btnClick();
		e.preventDefault();
	}
	function stageBtnShow (e){
         	var stageBtnstageBtn_id = (e.data.stageBtnId); //get the id of the over button
				sym.getSymbol("roundBtnsMc").getSymbol("roundBtn" + stageBtnstageBtn_id).$("btnOver").fadeIn(0);
	}
	function stageBtnHide (e){
         	var stageBtnstageBtn_id = (e.data.stageBtnId); //get the id of the out button
				sym.getSymbol("roundBtnsMc").getSymbol("roundBtn" + stageBtnstageBtn_id).$("btnOver").fadeOut(0);
	}

// POSITION HOLES
	for (var p=0; p<18; p++){
		sym.getSymbol("holesMc").getSymbol("allHolesMc").$("hole"+(p+1)).css({top:-slide*p}, 0);
	}

// ADD NUMBERS
	for (var x=0; x<18; x++){
		sym.getSymbol("roundBtnsMc").getSymbol("roundBtn"+x).$("txt").html(x+1)
	}

// ADD NUMBERS
	for (var b=0; b<10; b++){
		sym.getSymbol("winnersMc").getSymbol("winnersBtn"+b).$("txt").html(b+2003)
	}

	function resetAllBtn(){
		for (var h=0; h<stageBtnArray.length; h++){
         stageBtnArray[h].$("btnClick").fadeOut(0);
         stageBtnArray[h].$("btnOver").fadeOut(0);
         stageBtnArray[h].$("txt").css({'color':'rgb(255,255,255)'});
		}
	}
	resetAllBtn();
sym.getSymbol("roundBtnsMc").getSymbol("roundBtn0").$("btnClick").fadeIn(0);



// SET COUNTER	
	var holeCount = 0;

// BUTTONS NEXT PREV
	sym.$('btnNext').on('touchstart click', function(e){
	e.stopPropagation(); e.preventDefault();
	resetcardBtn();
	holeCount++;
	btnClick();
	sym.getSymbol("btnBack").$("btnOver").fadeOut(0);
	});

	Symbol.bindElementAction(compId, symbolName, "${_btnNext}", "mouseover", function(sym, e) {
	sym.getSymbol("btnNext").$("btnOver").fadeIn(200);
	});
	Symbol.bindElementAction(compId, symbolName, "${_btnNext}", "mouseout", function(sym, e) {
	sym.getSymbol("btnNext").$("btnOver").fadeOut(200);
	});

	sym.$('btnBack').on('touchstart click', function(e){
	e.stopPropagation(); e.preventDefault();
	resetcardBtn();
	holeCount--;
	btnClick();
	sym.getSymbol("btnNext").$("btnOver").fadeOut(0);
	});

	Symbol.bindElementAction(compId, symbolName, "${_btnBack}", "mouseover", function(sym, e) {
	sym.getSymbol("btnBack").$("btnOver").fadeIn(200);
	});
	Symbol.bindElementAction(compId, symbolName, "${_btnBack}", "mouseout", function(sym, e) {
	sym.getSymbol("btnBack").$("btnOver").fadeOut(200);
	});

// ACTIONS FOR BUTTON CLICKS	
	function btnClick(){
		resetAllBtn(); //set them all back to normal state
		sym.getSymbol("roundBtnsMc").getSymbol("roundBtn" + holeCount).$("btnClick").fadeIn(0);
		sym.getSymbol("holesMc").$("allHolesMc").stop().animate ({top:slide*holeCount}, 1000, 'easeOutCubic');
		sym.getSymbol("cardMc").getSymbol("cardBtn" + holeCount).$("btnClick").fadeIn(0);
		sym.getSymbol("roundBtnsMc").getSymbol("roundBtn"+holeCount).$("txt").css({'color':'rgb(255,255,255)'});

		if (holeCount <= 0) {
			sym.$("btnBack").fadeOut(0);
		}else{
			sym.$("btnBack").fadeIn(0);
		}
		if (holeCount >= 17) {
			sym.$("btnNext").fadeOut(0);
		}else{
			sym.$("btnNext").fadeIn(0);
		}
	}
	btnClick();
	sym.getSymbol("btnBack").$("btnOver").fadeOut(0);
	sym.getSymbol("btnNext").$("btnOver").fadeOut(0);

	// CARD BUTTONS --------------------------------------------	
         cardBtnArray = []; //the array that will hold references to the buttons.

         for (var j = 0; j < 18; j++){
         	 var cardBtnSymbols = sym.getSymbol("cardMc").getSymbol("cardBtn" +j); // Create an instance element of a symbol as a child of the given parent element
         	 cardBtnSymbols.setVariable("cardBtnId", j); //set the value of a Symbol variable
         	 cardBtnArray.push(cardBtnSymbols); //push it into the array
         }

         $.each(cardBtnArray, function( count, cardBtnInTheArray ){ //a 'for each' loop through the newly populated array
         	 var cardBtnItem = $(cardBtnInTheArray); //create jQuery reference to the item
         	 var cardBtnElement = cardBtnInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
         	 //now you can bind interactivity to the cardBtn items' DIVs
         	 cardBtnElement.bind ("click touchstart", {cardBtnId:count}, cardBtnClick);
         	 cardBtnElement.bind ("mouseover", {cardBtnId:count}, cardBtnShow);
         	 cardBtnElement.bind ("mouseout", {cardBtnId:count}, cardBtnHide);
         	})

	function resetcardBtn(){
		for (var c=0; c<cardBtnArray.length; c++){
      		cardBtnArray[c].$("btnClick").fadeOut(0);
				cardBtnArray[c].$("btnOver").fadeOut(0);
		}
	}
	resetcardBtn();

	function cardBtnClick (e){
		resetcardBtn(); //set them all back to normal state
		var cardBtn_id = (e.data.cardBtnId); //get the id of the clicked item
		holeCount = cardBtn_id;
		btnClick();
		e.preventDefault();
		}
	function cardBtnShow (e){
         	var cardBtn_id = (e.data.cardBtnId); //get the id of the over button
				sym.getSymbol("cardMc").getSymbol("cardBtn" + cardBtn_id).$("btnOver").fadeIn(0);
	}
	function cardBtnHide (e){
         	var cardBtn_id = (e.data.cardBtnId); //get the id of the out button
				sym.getSymbol("cardMc").getSymbol("cardBtn" + cardBtn_id).$("btnOver").fadeOut(0);
	}
	sym.getSymbol("cardMc").getSymbol("cardBtn0").$("btnOver").fadeIn(0);



// WINNERS BUTTONS --------------------------------------------	
         winnersBtnArray = []; //the array that will hold references to the buttons.

         for (var w = 0; w < 10; w++){
         	 var winnersBtnSymbols = sym.getSymbol("winnersMc").getSymbol("winnersBtn" +w); // Create an instance element of a symbol as a child of the given parent element
         	 winnersBtnSymbols.setVariable("winnersBtnId", w); //set the value of a Symbol variable
         	 winnersBtnArray.push(winnersBtnSymbols); //push it into the array
         }

         $.each(winnersBtnArray, function( count, winnersBtnInTheArray ){ //a 'for each' loop through the newly populated array
         	 var winnersBtnItem = $(winnersBtnInTheArray); //create jQuery reference to the item
         	 var winnersBtnElement = winnersBtnInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
         	 winnersBtnElement.bind ("click touchstart", {winnersBtnId:count}, winnersBtnClick);
         	 winnersBtnElement.bind ("mouseover", {winnersBtnId:count}, winnersBtnShow);
         	 winnersBtnElement.bind ("mouseout", {winnersBtnId:count}, winnersBtnHide);
         	})

	function resetwinnersBtn(){
		for (var k=0; k<winnersBtnArray.length; k++){
      	winnersBtnArray[k].$("btnClick").fadeOut(0);
			winnersBtnArray[k].$("btnOver").fadeOut(0);
		}
			var itemArray = ["w2003","w2004","w2005","w2006","w2007","w2008","w2009","w2010","w2011","w2012"];
			$.each(itemArray, function(index, value) {
			sym.getSymbol("winnersMc").getSymbol("winnerPic").$(value).fadeOut(200);
		});
	}
	resetwinnersBtn();

	function winnersBtnClick (e){
	sym.getSymbol("winnersMc").$("table").empty()
		resetwinnersBtn(); //set them all back to normal state
		var winnersBtn_id = (e.data.winnersBtnId); //get the id of the clicked item
		sym.getSymbol("winnersMc").getSymbol("winnersBtn" + winnersBtn_id).$("btnClick").fadeIn(0);
		sym.getSymbol("winnersMc").getSymbol("winnerPic").$("w" + (2003 + winnersBtn_id)).fadeIn(200);

		$.ajax({	
		type: "GET",
		url: 2000 + (winnersBtn_id + 3) + "_results.xml",
		dataType: "xml",
		success: function(xml) {
		winner = $(xml).find('winner').text();
			winnertxt.html(winner);
			course = $(xml).find('course').text();
			coursetxt.html(course);

		// Build an HTML string
		myHTMLOutput = '';
	 	myHTMLOutput += '<table width="100%" border="0" cellpadding="3" cellspacing="0">';

		// Run the function for each student tag in the XML file
		$('Ranked',xml).each(function(i) {
			studentName = $(this).find("person").text();
			studentAge = $(this).find("score").text();
			studentPhone = $(this).find("prize").text();
			// Build row HTML data and store in string
			mydata = BuildStudentHTML(studentName,studentAge,studentPhone);
			myHTMLOutput = myHTMLOutput + mydata;
		});
		myHTMLOutput += '</table>';
		sym.getSymbol("winnersMc").$("table").append(myHTMLOutput);
		sym.getSymbol("winnersMc").$("table tr:odd").css({"text-align":"left", "background-color":"#cdd1da","color":"#000000", "font":"13px Pragmatica-web, sans-serif"});
		sym.getSymbol("winnersMc").$("table tr:even").css({"text-align":"left", "background-color":"#eaeaea","color":"#000000", "font":"13px Pragmatica-web, sans-serif"});
		sym.getSymbol("winnersMc").$("table tr:first-child").css({"text-align":"left", "font-weight":"bold", "background-color":"#ea1933","color":"#ffffff", "font":"13px, Pragmatica-web, sans-serif"});
	}
});

 function BuildStudentHTML(studentName,studentAge,studentPhone){
	// Build HTML string and return
	output = '';
	output += '<tr>';
	output += '<td style="width:40%;font-weight: bold;">'+ studentName +'</td>';
	output += '<td style="width:40%;">'+ studentAge +'</td>';
	output += '<td style="width:20%;font-weight: bold;">'+ studentPhone +'</td>';
	output += '</tr>';
	return output;
	}
}
	function winnersBtnShow (e){
      var winnersBtn_id = (e.data.winnersBtnId); //get the id of the over button
		sym.getSymbol("winnersMc").getSymbol("winnersBtn" + winnersBtn_id).$("btnOver").fadeIn(0);
	}
	function winnersBtnHide (e){
      var winnersBtn_id = (e.data.winnersBtnId); //get the id of the out button
		sym.getSymbol("winnersMc").getSymbol("winnersBtn" + winnersBtn_id).$("btnOver").fadeOut(0);
	}
	sym.getSymbol("winnersMc").getSymbol("winnersBtn9").$("btnOver").fadeIn(0);

		$.ajax({	
		type: "GET",
		url: "2012_results.xml",
		dataType: "xml",
		success: function(xml) {
			winner = $(xml).find('winner').text();
			winnertxt.html(winner);
			course = $(xml).find('course').text();
			coursetxt.html(course);

		// Build an HTML string
		myHTMLOutput = '';
	 	myHTMLOutput += '<table width="100%" border="0" cellpadding="3" cellspacing="0">';

		// Run the function for each student tag in the XML file
		$('Ranked',xml).each(function(i) {
			studentName = $(this).find("person").text();
			studentAge = $(this).find("score").text();
			studentPhone = $(this).find("prize").text();
			// Build row HTML data and store in string
			mydata = BuildStudentHTML(studentName,studentAge,studentPhone);
			myHTMLOutput = myHTMLOutput + mydata;
		});
		myHTMLOutput += '</table>';
		sym.getSymbol("winnersMc").$("table").append(myHTMLOutput);
 		sym.getSymbol("winnersMc").$("table tr:odd").css({"text-align":"left", "background-color":"#cdd1da","color":"#000000", "font":"13px Pragmatica-web, sans-serif"});
		sym.getSymbol("winnersMc").$("table tr:even").css({"text-align":"left", "background-color":"#eaeaea","color":"#000000", "font":"13px Pragmatica-web, sans-serif"});
		sym.getSymbol("winnersMc").$("table tr:first-child").css({"text-align":"left", "font-weight":"bold", "background-color":"#ea1933","color":"#ffffff", "font":"13px, Pragmatica-web, sans-serif"});
	}
});

 function BuildStudentHTML(studentName,studentAge,studentPhone){
	// Build HTML string and return
	output = '';
	output += '<tr>';
	output += '<td style="width:40%;font-weight: bold;">'+ studentName +'</td>';
	output += '<td style="width:40%;">'+ studentAge +'</td>';
	output += '<td style="width:20%;font-weight: bold;">'+ studentPhone +'</td>';
	output += '</tr>';
	return output;
}
sym.getSymbol("winnersMc").getSymbol("winnerPic").$("w2012").fadeIn(200);


         	});//Edge binding end	
		
		// VIDEO BTN 1 =========================================================
         	
			
         	
         		
         	
			
			
         	// VIDEO BTN 2 =========================================================
         	
         	
         	
         		
         	
         	


   })("stage");
   //Edge symbol end:'stage'

//=========================================================
   //Edge symbol: 'handMc'
   (function(symbolName) {

   })("handMc");
   //Edge symbol end:'handMc'

   //=========================================================
   
   //Edge symbol: 'styleMc'
   (function(symbolName) {   
   
   })("styleMc");
   //Edge symbol end:'styleMc'

   //=========================================================
   
   //Edge symbol: 'StyleBase'
   (function(symbolName) {   
   
   })("StyleBase");
   //Edge symbol end:'StyleBase'

   //=========================================================
   
   //Edge symbol: 'holesMc'
   (function(symbolName) {   
   
   })("holesMc");
   //Edge symbol end:'holesMc'

   //=========================================================
   
   //Edge symbol: 'roundBtnsMc'
   (function(symbolName) {   
   
   })("roundBtnsMc");
   //Edge symbol end:'roundBtnsMc'

   //=========================================================
   
   //Edge symbol: 'roundBtn'
   (function(symbolName) {   
   
   })("roundBtn");
   //Edge symbol end:'roundBtn'

   //=========================================================
   
   //Edge symbol: 'cardBtn'
   (function(symbolName) {   
   
   })("cardBtn");
   //Edge symbol end:'cardBtn'

   //=========================================================
   
   //Edge symbol: 'cardMc'
   (function(symbolName) {   
   
   })("cardMc");
   //Edge symbol end:'cardMc'

   //=========================================================
   
   //Edge symbol: 'arrowBtn'
   (function(symbolName) {   
   
   })("arrowBtn");
   //Edge symbol end:'arrowBtn'

   //=========================================================
   
   //Edge symbol: 'allHolesMc'
   (function(symbolName) {   
   
   })("allHolesMc");
   //Edge symbol end:'allHolesMc'

   //=========================================================
   
   //Edge symbol: 'winnersMc'
   (function(symbolName) {   
   
   })("winnersMc");
   //Edge symbol end:'winnersMc'

   //=========================================================
   
   //Edge symbol: 'winnersBtn'
   (function(symbolName) {   
   
   })("winnersBtn");
   //Edge symbol end:'winnersBtn'

   //=========================================================
   
   //Edge symbol: 'menuBtn'
   (function(symbolName) {   
   
   })("menuBtn");
   //Edge symbol end:'menuBtn'

   //=========================================================
   
   //Edge symbol: 'winnerPic'
   (function(symbolName) {   
   
   })("winnerPic");
   //Edge symbol end:'winnerPic'

})(jQuery, AdobeEdge, "GraphicNews30767");